import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsUsercollect {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  UserId!: bigint;
  CollectType!: number;
  FCId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsUsercollectSchema = defineEntity({
  class: ScsUsercollect,
  comment: '用户收藏',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    UserId: p.bigint().name('UserId').comment('用户id'),
    CollectType: p.integer().name('CollectType').comment('收藏类型'),
    FCId: p.bigint().name('FCId').comment('文件或课程id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
